### Enumeration

# GWeather ConditionQualifier

#### Declaration

    enum GWeather.ConditionQualifier

#### Description [src]

An additional modifier applied to a `GWeatherConditionPhenomenon` to describe the current or forecasted weather conditions.

The exact meaning of each qualifier is described at http://www.weather.com/glossary/ and http://www.crh.noaa.gov/arx/wx.tbl.php.

#### Members

Name | Description
--- | ---
`GWEATHER_QUALIFIER_INVALID` | Value not available.
`GWEATHER_QUALIFIER_NONE` | No qualifier for the phenomenon.
`GWEATHER_QUALIFIER_VICINITY` | Phenomenon happening in the proximity of the location, not in the actual location.
`GWEATHER_QUALIFIER_LIGHT` | Phenomenon is light or predicted to be light.
`GWEATHER_QUALIFIER_MODERATE` | Phenomenon is moderate or predicted to be moderate.
`GWEATHER_QUALIFIER_HEAVY` | Phenomenon is heavy or predicted to be heavy.
`GWEATHER_QUALIFIER_SHALLOW` | Shallow fog (only valid with `GWEATHER_PHENOMENON_FOG`)
`GWEATHER_QUALIFIER_PATCHES` | Patches of fog (only valid with `GWEATHER_PHENOMENON_FOG`)
`GWEATHER_QUALIFIER_PARTIAL` | Partial fog (only valid with `GWEATHER_PHENOMENON_FOG`)
`GWEATHER_QUALIFIER_THUNDERSTORM` | Phenomenon will be a thunderstorm and/or will include lightning.
`GWEATHER_QUALIFIER_BLOWING` | Phenomenon is blowing (valid with `GWEATHER_PHENOMENON_SNOW`, `GWEATHER_PHENOMENON_SAND`, `GWEATHER_PHENOMENON_SPRAY`, `GWEATHER_PHENOMENON_DUST`)
`GWEATHER_QUALIFIER_SHOWERS` | Phenomenon is heavy and involves showers.
`GWEATHER_QUALIFIER_DRIFTING` | Phenomenon is moving across (valid with `GWEATHER_PHENOMENON_SAND` and `GWEATHER_PHENOMENON_DUST`)
`GWEATHER_QUALIFIER_FREEZING` | Phenomenon is freezing and involves ice.
`GWEATHER_QUALIFIER_LAST` | Maximum value of the enumeration.